Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.build.admin
Class ViewBuildConfiguration

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.BuildActionSupport
                  com.atlassian.bamboo.ww2.actions.build.admin.ViewBuildConfiguration

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, ReturnUrlAware

    public class ViewBuildConfiguration

extends BuildActionSupport
implements BuildAware

Field Summary
`static String` | `SELECTED_TAB_COOKIE`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewBuildConfiguration()`

Method Summary
`List` | `getBuildCompleteActionsPluginHtmlList()`
`List` | `getBuildProcessorPluginHtmlList()`
`String` | `getSelectedTab()`
`boolean` | `isTabSelected(String label)`
`void` | `setTemplateRenderer(TemplateRenderer templateRenderer)`

Methods inherited from class com.atlassian.bamboo.ww2.actions.BuildActionSupport
`getBuild, getBuildKey, getCurrentlyRunningBuild, getPluginManager, getPluginMenuItems, setBuild, setBuildKey, setPluginManager`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.ww2.aware.BuildAware
`getBuild, setBuild`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### SELECTED_TAB_COOKIE

    public static final String SELECTED_TAB_COOKIE

See Also:
  Constant Field Values

Constructor Detail

### ViewBuildConfiguration

    public ViewBuildConfiguration()

Method Detail

### isTabSelected

    public boolean isTabSelected(String label)

### getSelectedTab

    public String getSelectedTab()

### getBuildProcessorPluginHtmlList

    public List getBuildProcessorPluginHtmlList()

### getBuildCompleteActionsPluginHtmlList

    public List getBuildCompleteActionsPluginHtmlList()

### setTemplateRenderer

    public void setTemplateRenderer(TemplateRenderer templateRenderer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.